org.jboss.resteasy.spi

## Class ReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.LoggableFailure
          - - org.jboss.resteasy.spi.ReaderException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    JAXBUnmarshalException, UnauthorizedSignatureException

      public class ReaderException
      extends LoggableFailure

  Any exception thrown by a MessageBodyReader chain that is not an instance of a ReaderException is caught internally by the Resteasy runtime and wrapped with an instance of ReaderException. If you want to have special exception handling for exceptions thrown by MessageBodyReaders, then write an exception mapper for ReaderException. Also, you may extend this class and throw instances of it from your MessageBodyReaders (and interceptors)
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderException(int errorCode)`
    `ReaderException(String s)`
    `ReaderException(String s, int errorCode)`
    `ReaderException(String s, Response response)`
    `ReaderException(String s, Throwable throwable)`
    `ReaderException(String s, Throwable throwable, int errorCode)`
    `ReaderException(String s, Throwable throwable, Response response)`
    `ReaderException(Throwable throwable)`
    `ReaderException(Throwable throwable, int errorCode)`
    `ReaderException(Throwable throwable, Response response)`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderException

          public ReaderException(String s,
                         Response response)

    - #### ReaderException

          public ReaderException(String s,
                         Throwable throwable,
                         Response response)

    - #### ReaderException

          public ReaderException(Throwable throwable,
                         Response response)

    - #### ReaderException

          public ReaderException(String s,
                         Throwable throwable)

    - #### ReaderException

          public ReaderException(Throwable throwable)

    - #### ReaderException

          public ReaderException(String s)

    - #### ReaderException

          public ReaderException(int errorCode)

    - #### ReaderException

          public ReaderException(String s,
                         int errorCode)

    - #### ReaderException

          public ReaderException(String s,
                         Throwable throwable,
                         int errorCode)

    - #### ReaderException

          public ReaderException(Throwable throwable,
                         int errorCode)

Copyright © 2014. All Rights Reserved.